package com.oguerreiro.resilient.service.dto;

import static org.assertj.core.api.Assertions.assertThat;

import com.oguerreiro.resilient.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class VariableScopeDTOTest {

    @Test
    void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(VariableScopeDTO.class);
        VariableScopeDTO variableScopeDTO1 = new VariableScopeDTO();
        variableScopeDTO1.setId(1L);
        VariableScopeDTO variableScopeDTO2 = new VariableScopeDTO();
        assertThat(variableScopeDTO1).isNotEqualTo(variableScopeDTO2);
        variableScopeDTO2.setId(variableScopeDTO1.getId());
        assertThat(variableScopeDTO1).isEqualTo(variableScopeDTO2);
        variableScopeDTO2.setId(2L);
        assertThat(variableScopeDTO1).isNotEqualTo(variableScopeDTO2);
        variableScopeDTO1.setId(null);
        assertThat(variableScopeDTO1).isNotEqualTo(variableScopeDTO2);
    }
}
